#
# spec file for package skim (Version 1.4.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel atk attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-filesystem gpm grep groff gtk2 gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 pam pam-modules pango patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm scim scim-devel sed sgml-skel strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           skim
BuildRequires:  kdelibs3-devel scim-devel
License:        GPL
Group:          System/I18n/Chinese
Summary:        KDE integration for SCIM
Version:        1.4.4
Release:        13.2
Autoreqprov:    on
Provides:       locale(kdebase3:ja;ko;zh)
URL:            http://www.scim-im.org
# CVS repository:
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim login 
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim co skim
# or:
# cvs -z3 -d:ext:mfabian@cvs.sourceforge.net:/cvsroot/scim co skim
Source0:        skim-1.4.4.20060301.tar.bz2
Patch1:         scimkdeconfig.kcfg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KDE integration for SCIM



Authors:
--------
    liuspider <liuspider@users.sourceforge.net>

%debug_package
%prep
%define scons_options_basic prefix=/opt/kde3
%ifarch x86_64 ppc64 s390x
%define scons_options %scons_options_basic libsuffix=64
%else
%define scons_options %scons_options_basic
%endif
%setup -q
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
rm -rf cache/
./configure %scons_options
./scons 

%install
./scons DESTDIR=%{buildroot} install
%find_lang skim
%suse_update_desktop_file %name Utility DesktopSettings
#rm -rf $RPM_BUILD_ROOT/opt/kde3/share/doc/HTML/skim

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f skim.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO NEWS
%dir /opt/kde3/share/icons/crystalsvg/scalable/apps
/opt/kde3/bin/*
/opt/kde3/%_lib/lib*
/opt/kde3/%_lib/kde3/*
/opt/kde3/share/appl*/*/*
/opt/kde3/share/apps/*
/opt/kde3/share/autostart/*
%if %suse_version <= 910
%dir /opt/kde3/share/icons/crystalsvg/32x32/apps
%endif
/opt/kde3/share/icons/*/*/*/skim*
/opt/kde3/share/config.kcfg/*.kcfg
/opt/kde3/share/services/*
/opt/kde3/share/servicetypes/*
%_libdir/scim-*
/opt/kde3/include/*
%dir /opt/kde3/%_lib/pkgconfig/
/opt/kde3/%_lib/pkgconfig/*

%changelog -n skim
* Mon Apr 10 2006 - mfabian@suse.de
- Bugzilla #87443: add "Hangul" to the SCIM Trigger keys.
  See also: http://librarian.launchpad.net/1914454/scim_config.diff
  https://launchpad.net/distros/ubuntu/+source/scim/+bug/37687
* Mon Mar 27 2006 - ro@suse.de
- fix typo in specfile
* Sat Mar 04 2006 - zsu@suse.de
- Update to cvs head to fix the following issues [#154308]
- Fixed a crash bug when exiting scim-input-pad [#149541]
- Fixed a bug which prevent Filter setting from saving successfully.
- Disable main window when there is no properties.
- Prevent plugin setup window from being disabled.
- Fixed setup module desktop file translation issue.
* Tue Feb 28 2006 - zsu@suse.de
- bug #153791; use semicolon instead of comma to split locale list.
* Thu Feb 23 2006 - mfabian@suse.de
- add "Provides: locale(kdebase3:ja,ko,zh)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - zsu@suse.de
- update to skim 1.4.3 (cvs head).
* Wed Oct 12 2005 - stbinner@suse.de
- fix wrong include hints for compilation with Qt 3.3.5
* Fri Aug 19 2005 - mfabian@suse.de
- Bugzilla #105319: make /FrontEnd/X11/Dynamic = false the
  default again to make sure that Compose works always.
- Bugzilla #105193: add "Zenkaku_Hankaku" to
  /Hotkeys/FrontEnd/Trigger (this is the trigger key used MS IME
  for Japanese).
- make "/FrontEnd/SharedInputMethod = true" the default.
* Fri Aug 19 2005 - mfabian@suse.de
- Bugzilla #105319: apply patch by Zhe Su <zsu@novell.com> to
  force the use of "kconfig" with skim if available
  (See comment #13 in Bugzilla #105319).
* Thu Aug 18 2005 - mfabian@suse.de
- Bugzilla #105319: fix typo in our patch of the default config
  (Shift+space instead of Shift+Space).
* Thu Aug 11 2005 - mfabian@suse.de
- update to 1.4.1 which includes the last fix.
* Wed Aug 10 2005 - mfabian@suse.de
- cleaner fix for the problem from the last changelog by
  the skim author LiuCougar <liucougar@gmail.com>.
* Tue Aug 09 2005 - mfabian@suse.de
- libdir in /opt/kde3/lib64/pkgconfig/skim.pc should get the "64"
  suffix on  x86_64, ppc64, and s309x.
* Mon Jul 18 2005 - mfabian@suse.de
- update to 1.4.0.
* Wed Jul 13 2005 - mfabian@suse.de
- update to 1.3.3.20050712 (more build fixes).
- use RPM_OPT_FLAGS.
* Tue Jul 12 2005 - mfabian@suse.de
- update to 1.3.3.20050712 (some build fixes in bksys).
* Mon Jul 11 2005 - mfabian@suse.de
- update to 1.3.3.20050711.
* Wed Jun 22 2005 - mfabian@suse.de
- update to version 1.3.1.
* Mon Jun 06 2005 - adrian@suse.de
- update to version 1.3.0
* Thu Mar 17 2005 - adrian@suse.de
- update to 1.2.1 (major bugfixes)
  * solves problems with qt 3.3.4 imm patch
* Mon Feb 28 2005 - mfabian@suse.de
- update to 1.2.0.
* Thu Feb 17 2005 - adrian@suse.de
- menu entry moved to xdg dir
* Fri Feb 04 2005 - adrian@suse.de
- update to version 1.1.0
* Thu Dec 16 2004 - coolo@suse.de
- fixing Makefiles
* Wed Sep 29 2004 - mfabian@suse.de
- make OnTheSpot input style the default for XIM.
- update autostart.diff from upstream CVS to support enabling/
  disabling the autostart feature in the setup dialog.
* Wed Sep 22 2004 - mskibbe@suse.de
- change specfile(suse_update_desktop_file)
* Mon Sep 20 2004 - mfabian@suse.de
- update to CVS from 20040913 to avoid the DCOP server error
  message.
- use "Control+space,Shift+space" as the default trigger key
  instead of only "Control+space".
  Users of kinput2, ami, ... are used to Shift+Space and may
  not expect "Control+Space".
- make it build on SuSE Linux 9.1 as well.
* Fri Sep 10 2004 - adrian@suse.de
- add autostart desktop file
* Thu Sep 09 2004 - adrian@suse.de
- update to version 1.0.0
* Fri Sep 03 2004 - adrian@suse.de
- update to version 0.9.7
* Sat Aug 21 2004 - mfabian@suse.de
- new package: skim version 0.9.6.
